Перейти к содержимому
javinfo

Подсказки при вводе

GET
/discover/suggestion

Authorization

apiKey
headerx-javinfo-key<token>

Query Parameters

q*string
Length1 <= length
num?integer
Range1 <= value <= 20
Default8

Response Body

OK

application/json
  1. response
q*string
count*number
results*array<>
Example Request
curl -X GET 'https://api.javinfo.dev/discover/suggestion?q=string'
Example Response200
{  "q": "string",  "count": 0,  "results": [    {      "kind": "code",      "value": "string",      "label": "string",      "extra": "string"    }  ]}